Loading...
Searching...
No Matches
Exiv2::ExifKey::Impl Struct Reference

Internal Pimpl structure with private members and data of class ExifKey. More...

## Public Member Functions

Manipulators
void | makeKey (uint16_t tag, IfdId ifdId, const TagInfo *tagInfo)
| Set the key corresponding to the tag, ifdId and tagInfo. The key is of the form 'Exif.groupName.tagName'.
void | decomposeKey (const std::string &key)
| Parse and convert the key string into tag and IFD Id. Updates data members if the string can be decomposed, or throws Error .

## Accessors

static constexpr auto | familyName_ = "Exif"
| "Exif"
const TagInfo * | tagInfo_ {}
| Tag info.
uint16_t | tag_ {0}
| Tag value.
IfdId | ifdId_ {IfdId::ifdIdNotSet}
| The IFD associated with this tag.
int | idx_ {0}
| Unique id of the Exif key in the image.
std::string | groupName_
| The group name.
std::string | key_
| Key
std::string | tagName () const
| Return the name of the tag.

## Detailed Description

Internal Pimpl structure with private members and data of class ExifKey.

## Member Function Documentation

## decomposeKey()

void Exiv2::ExifKey::Impl::decomposeKey | ( | const std::string & | key | ) |

Parse and convert the key string into tag and IFD Id. Updates data members if the string can be decomposed, or throws Error .

Exceptions

  Error | if the key cannot be decomposed.

References Exiv2::ExifKey::familyName(), Exiv2::Internal::groupId(), Exiv2::ExifKey::groupName(), Exiv2::ExifKey::ifdId(), Exiv2::Internal::isExifIfd(), Exiv2::Internal::isMakerIfd(), Exiv2::ExifKey::key(), Exiv2::ExifKey::tag(), Exiv2::Internal::tagInfo(), Exiv2::ExifKey::tagName(), and Exiv2::Internal::tagNumber().

The documentation for this struct was generated from the following file:

- tags.cpp